# withProperties

open fun withProperties(closure: Closure)

Adds a closure to be called when the file has been created. The Properties are passed to the closure as a parameter. The closure can modify the Properties before they are written to the output file.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseJdt and others.

#### Parameters

closure

The closure to execute when the Properties have been created.

open fun withProperties(action: Action<Properties>)

Adds an action to be called when the file has been created. The Properties are passed to the action as a parameter. The action can modify the Properties before they are written to the output file.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseJdt and others.

#### Parameters

action

The action to execute when the Properties have been created.